Subscribe

SMO repository update

We are migrating from 7mode to cDOT and are updating our SMO to the latest version 3.4P3. We had 3.3 and in the manual I read that the repository need to be updated. However I receive the beneath error on updating. That makes me wonder if a new repository 3.4 is actually available? On the other hand I don't get my profile/backup job ready for snapvault. I added my snapvault destination cluster to snapdrive (snapdrive config set ... and snapdrive config set -mgmtpath ....). From that point I was able to select the protection policy SnapManager_cDOT_Vault, but then it gives an error when applying

 
smo.jpg

 


SnapManager 3.4.0P3 does not support managing Oracle 9i databases. Using SnapManager 3.4.0P3 you will not be able to perform any SnapManager operations on existing profiles for Oracle 9i databases or create a new profile for an Oracle 9i database. Refer to the SnapManager for Oracle Installation and Administration Guide for more details.

Once this operation has begun, you will not be able to cancel it.  Are you sure you wish to proceed with the repository upgrade (Y/N)?y
[ INFO] SMO-09283: Existing old repository version "330"
[ERROR] SMO-09212: Existing repository schema version 330 (as smo_ot on jdbc:oracle:thin:@//[xxxxxxxxxx]:1521/xxxx) is already greater than or equal to required repository version 330.
[ERROR] SMO-13032: Cannot perform operation: Repository Update.  Root cause: SMO-09212: Existing repository schema version 330 (as smo_ot on jdbc:oracle:thin:@//[xxxxxxxxx]:1521/xxxx) is already greater than or equal to required repository version 330.
[ INFO] SMO-13039: Successfully aborted operation: Repository Update
[ERROR] SMO-13048: Repository Update Operation Status: FAILED
[ INFO] SMO-13049: Elapsed Time: 0:00:01.247
Operation Id [N00a0f31ee91ea0a00bae4775f977bd3c] failed. Error: Existing repository schema version 330 (as smo_ot on jdbc:oracle:thin:@//[xxxxxxxxx]:1521/xxxx) is already greater than or equal to required repository version 330.

Re: SMO repository update

Creating a brand new profile gives: Incompatible Protection Policy. SnapManager_cDOT_Vault is not valid for 7Mode.Very bizar.

 

smo3.jpg